> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign delivery word to transactions

> Assign a delivery word to a batch of transactions by their IDs

<Note>The assign of the delivery word will work only on transactions with status on-hold. For additional details on how transaction statuses works, click this [link](/about/transaction-status)</Note>

<RequestExample>
  ```bash Request theme={null}
  curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/delivery-word' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json' \
  --data '{
      "transactions": [
        {
            "transactionId": "9b04cd7d-d396-4ffe-a156-bf894f75b721",
            "deliveryWord": "SALSA",
            "deliveryDate": "2024-10-04T08:00:00-00:00"
        },
        {
            "transactionId": "eb6214f1-b788-4f60-9259-c2a8038248da",
            "deliveryWord": "CEBOLLA",
            "deliveryDate": "2024-10-04T08:00:00-00:00"
        }
      ]
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "updatedTransactions": [
        {
            "transactionId": "9b04cd7d-d396-4ffe-a156-bf894f75b721",
            "deliveryWord": "SALSA",
            "deliveryDate": "2024-10-04T08:00:00-00:00"
        },
        {
            "transactionId": "eb6214f1-b788-4f60-9259-c2a8038248da",
            "deliveryWord": "CEBOLLA",
            "deliveryDate": "2024-10-04T08:00:00-00:00"
        }
    ]
  }
  ```
</ResponseExample>

## Body

<ParamField body="transactions" type="array" required>
  <Expandable title="properties">
    <ParamField body="transactionId" type="string" required>
      Propaga's unique identifier for the transaction.
    </ParamField>

    <ParamField body="deliveryWord" type="string" required>
      Unique word to identify the delivery of the transaction.
    </ParamField>

    <ParamField body="deliveryDate" type="string" required>
      Date and time of the delivery.
    </ParamField>
  </Expandable>
</ParamField>

## Response

<ParamField body="updatedTransactions" type="array">
  <Expandable title="properties">
    <ParamField body="transactionId" type="string" />

    <ParamField body="deliveryWord" type="string" />

    <ParamField body="deliveryDate" type="string" />
  </Expandable>
</ParamField>
